%bcond_with clang

Name:          xdg-desktop-portal-lxqt
Version:       1.0.2
Release:       1%{?dist}
Summary:       A backend implementation for xdg-desktop-portal that is using Qt/KF5/libfm-qt
License:       LGPLv2+
URL:           https://lxqt-project.org
Source0:       https://github.com/lxqt/%{name}/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires: cmake
%if %{with clang}
BuildRequires: clang >= 5.0
%else
BuildRequires: gcc-c++
%endif
BuildRequires: pkgconfig(Qt6Core)
BuildRequires: pkgconfig(Qt6DBus)
BuildRequires: pkgconfig(Qt6Widgets)
BuildRequires: qt6-qtbase-private-devel
BuildRequires: pkgconfig(libfm-qt6)
BuildRequires: cmake(KF6WindowSystem)

BuildRequires: pkgconfig(Qt5X11Extras)

BuildRequires: libexif-devel
Requires:      dbus-common
Requires:      xdg-desktop-portal
Requires:      libfm-qt-qt6

%description
%{summary}

%prep
%autosetup

%build
%if %{with clang}
export CC=clang
export CXX=clang++
%endif

%cmake_lxqt
%cmake_build

%install
%cmake_install

%files
%doc CHANGELOG README.md
%license LICENSE
%dir %{_datadir}/xdg-desktop-portal
%dir %{_datadir}/xdg-desktop-portal/portals
%{_datadir}/xdg-desktop-portal/portals/lxqt.portal
%{_datadir}/dbus-1/services/org.freedesktop.impl.portal.desktop.lxqt.service
%{_datadir}/applications/org.freedesktop.impl.portal.desktop.lxqt.desktop
%{_libexecdir}/xdg-desktop-portal-lxqt

%changelog
* Fri Sep 27 2024 Raven <raven@sysadmins.ws> - 1.0.2-1
- update to 1.0.2

* Mon Nov  6 2023 Raven <raven@sysadmins.ws> - 1.4.0-1
- update to 1.4.0
- clang support

* Thu May 18 2023 Raven <raven@sysadmins.ws> - 0.4.0-1
- update to 0.4.0

* Fri Nov 11 2022 Raven <raven@sysadmins.ws> - 0.3.0-1
- initial build
